Subject: Re: FVWM: starting up FVWM2

From: Hyper Faze <[email-masked]>
Date: Mon, 27 Nov 2000 16:42:02 -0800 (PST)

I did add ColorLimit 61 to my .fvwm2rc file.  But it
didn't work.  My mail still comes up white, and I have
blank xterms with or without "ColorLimit 61" added to
my .fvwm2rc file.

I'm not sure if I'm running 8 bit mode.  I can't run
m64config -prconf but I can run ffbconfig and this is
what I get:

frosbyte% ffbconfig -prconf

--- Hardware Configuration for /dev/fbs/ffb0 ---
Type: single-buffered FFB1
Board: rev 1 
PROM Information: Not Available
FBC: version 0x1
DAC: Brooktree 9068, version 4 (Pac1)
3DRAM: Mitsubishi 130a, version 1
EDID Data: Not Available
Monitor Sense ID: 4  (Sun 19" monitor)
Monitor possible resolutions: 1024x768x77,
1024x800x84, 1152x900x66,
        1152x900x76, 1280x1024x67, 1280x1024x76,
960x680x112s, 960x680x108s
Current resolution setting: 1280x1024x76

Here's the output for xdpyinfo:

frosbyte% xdpyinfo
name of display:    :0.0
version number:    11.0
vendor string:    Sun Microsystems, Inc.
vendor release number:    6410
maximum request size:  262140 bytes
motion buffer size:  256
bitmap unit, bit order, padding:    32, MSBFirst, 32
image byte order:    MSBFirst
number of supported pixmap formats:    3
supported pixmap formats:
    depth 1, bits_per_pixel 1, scanline_pad 32
    depth 8, bits_per_pixel 8, scanline_pad 32
    depth 24, bits_per_pixel 32, scanline_pad 32
keycode range:    minimum 8, maximum 132
focus:  window 0x440000d, revert to Parent
number of extensions:    27
    AccessX
    Adobe-DPS-Extension
    DOUBLE-BUFFER
    DPMS
    DPSExtension
    Extended-Visual-Information
    LBX
    MIT-SCREEN-SAVER
    MIT-SHM
    MIT-SUNDRY-NONSTANDARD
    Multi-Buffering
    RECORD
    SECURITY
    SHAPE
    SUN_ALLPLANES
    SUN_DGA
    SUN_OVL
    SUN_SME
    SYNC
    SolarisIA
    TOG-CUP
    XC-APPGROUP
    XC-MISC
    XIE
    XInputDeviceEvents
    XInputExtension
    XTEST
default screen number:    0
number of screens:    1

screen #0:
  dimensions:    1280x1024 pixels (361x288
millimeters)
  resolution:    90x90 dots per inch
  depths (3):    1, 8, 24

root window id:    0x37
  depth of root window:    24 planes
  number of colormaps:    minimum 1, maximum 1
  default colormap:    0x34
  default number of colormap cells:    256
  preallocated pixels:    black 0, white 16777215
  options:    backing-store YES, save-unders YES
  largest cursor:    64x64
  current input event mask:    0x58003d
    KeyPressMask             ButtonPressMask         
ButtonReleaseMask        
    EnterWindowMask          LeaveWindowMask         
SubstructureNotifyMask   
    SubstructureRedirectMask PropertyChangeMask       
  number of visuals:    16
  default visual id:  0x28
  visual:
    visual id:    0x20
    class:    PseudoColor
    depth:    8 planes
    available colormap entries:    256
    red, green, blue masks:    0x0, 0x0, 0x0
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x21
    class:    PseudoColor
    depth:    8 planes
    available colormap entries:    256
    red, green, blue masks:    0x0, 0x0, 0x0
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x22
    class:    StaticColor
    depth:    8 planes
    available colormap entries:    256
    red, green, blue masks:    0x7, 0x38, 0xc0
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x23
    class:    StaticGray
    depth:    8 planes
    available colormap entries:    256
    red, green, blue masks:    0x0, 0x0, 0x0
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x24
    class:    GrayScale
    depth:    8 planes
    available colormap entries:    256
    red, green, blue masks:    0x0, 0x0, 0x0
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x25
    class:    TrueColor
    depth:    8 planes
    available colormap entries:    8 per subfield
    red, green, blue masks:    0x7, 0x38, 0xc0

significant bits in color specification:    8 bits
  visual:
    visual id:    0x26
    class:    DirectColor
    depth:    8 planes
    available colormap entries:    8 per subfield
    red, green, blue masks:    0x7, 0x38, 0xc0
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x27
    class:    StaticGray
    depth:    8 planes
    available colormap entries:    256
    red, green, blue masks:    0x0, 0x0, 0x0
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x2e
    class:    PseudoColor
    depth:    8 planes
    available colormap entries:    224
    red, green, blue masks:    0x0, 0x0, 0x0
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x2f
    class:    PseudoColor
    depth:    8 planes
    available colormap entries:    224
    red, green, blue masks:    0x0, 0x0, 0x0
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x28
    class:    TrueColor
    depth:    24 planes
    available colormap entries:    256 per subfield
    red, green, blue masks:    0xff, 0xff00, 0xff0000
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x29
    class:    TrueColor
    depth:    24 planes
    available colormap entries:    256 per subfield
    red, green, blue masks:    0xff, 0xff00, 0xff0000
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x2a
    class:    DirectColor
    depth:    24 planes
    available colormap entries:    256 per subfield
    red, green, blue masks:    0xff, 0xff00, 0xff0000
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x2b
    class:    DirectColor
    depth:    24 planes
    available colormap entries:    256 per subfield
    red, green, blue masks:    0xff, 0xff00, 0xff0000
    significant bits in color specification:    8 bits
 visual:
    visual id:    0x2c
    class:    TrueColor
    depth:    24 planes
    available colormap entries:    256 per subfield
    red, green, blue masks:    0xff, 0xff00, 0xff0000
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x2d
    class:    TrueColor
    depth:    24 planes
    available colormap entries:    256 per subfield
    red, green, blue masks:    0xff, 0xff00, 0xff0000
    significant bits in color specification:    8 bits

Thanks for all the help!

PS I wish there was a book for all this.
--- Dan Espen <[email-masked]> wrote:
> Hyper Faze <[email-masked]> writes:
> > I don't think it's my color mode because I have
> added
> > fvwm to my cde login prompt and I can log in from
> > there with no errors or anything.  I got the
> > instructions on how to do this from:
> > 
> > http://twirl.mcc.ac.uk/~zzassgl/wm.html
> > 
> > Like I said, these errors only happen when I
> launch
> > fvwm from command line login.
> > 
> > #/usr/openwin/bin/xinit
> > #/home/frosbyte/usr/bin/fvwm2 &
> > 
> > Any ideas?
> 
> You had 2 suggestions to add the ColorLimit command
> to your .fvwm2rc.
> With 2.2.4, ColorLimiting is not automatic.  Did you
> do that?
> 
> Do you know if you have 8 bit color or not?  Its
> possible, fvwm is
> not using the right visual, but you're not supplying
> any information.
> If you don't understand the question, just post the
> output of
> xdpyinfo.
> 
> Fvwm will use more color than dtwm or olwm if you
> let it.
> If you are using 8 bit color, make sure you don't
> try to decorate
> anything with gradients, and make sure you use the
> ColorLimit command.
> It must be at the front of your .fvwm2rc.
> 
> As for the 2 different methods of starting fvwm
> causing the problem, I
> don't know.   But  right now, I   don't know which  
> problem you have,
> (running  out of color, or  using the wrong 
> visual).  Maybe the error
> messages are just hidden from you when you use the
> other method.
> 
> > Thanks for all your help and patience guys!
> > 
> > 
> > 
> > 
> > --- Dan Espen <[email-masked]> wrote:
> > > Hyper Faze <[email-masked]> writes:
> > > > What would be another way of starting up
> fvwm2?
> > > > 
> > > > I'm on an ultra 1 solaris 8 box running
> fvwm-2.2.4
> > > > 
> > > > The way I'm currently doing it is I'm loging
> in
> > > using
> > > > the command line login.  Then I execute
> > > > /usr/openwin/xinit which then launches a
> terminal
> > > > window in which I type
> > > /home/frosbyte/usr/bin/fvwm2 &
> > > > and it brings up fvwm2 fine.
> > > > 
> > > > The problem is I'm getting too many error
> msg's. 
> > > For
> > > > example if I open up dtmail I get the
> following:
> > > > 
> > > > libSDtMail: Warning: Xt Warning: Cannot
> allocate
> > > > colormap entry for "LightGoldenRodYellow"
> > > > 
> > > > Or if I open an xterm with colors I get the
> > > following
> > > > error
> > > >  Warning: Cannot allocate colormap entry for
> > > "green"
> > > 
> > > If you  only have 8  bit color, you  can expect
> to
> > > have  problems with
> > > color allocation.
> > > 
> > > You can tell how much color the X server  has by
> > > looking at the output
> > > of "xdpyinfo".
> > > 
> > > If you are restricted to 256 colors, (8 bit
> color),
> > > add this line to
> > > the front of your .fvwm2rc:
> > > 
> > > ColorLimit 61
> > > 
> > > If you are running Netscape, always start
> Netscape
> > > with the "-install"
> > > flag.
> > > 
> > > Your mail covered a lot of ground, but the only
> > > error messages
> > > I see have to do with color allocation.  If you
> have
> > > more issues,
> > > let us know.
> > > 
> > > --
> > > Dan Espen
> > > 444 Hoes Lane  Room RRC 1C-214           E-mail:
> > > [email-masked]
> > > Piscataway, NJ 08854                     Phone:
> > > (732) 699-5570
> > > --
> > > Visit the official FVWM web page at <URL:
> > > http://www.fvwm.org/>.
> > > To unsubscribe from the list, send "unsubscribe
> > > fvwm" in the body of a
> > > message to [email-masked].
> > > To report problems, send mail to
> > [email-masked].
> > 
> > 
> > __________________________________________________
> > Do You Yahoo!?
> > Yahoo! Shopping - Thousands of Stores. Millions of
> Products.
> > http://shopping.yahoo.com/
> > --
> > Visit the official FVWM web page at <URL:
> http://www.fvwm.org/>.
> > To unsubscribe from the list, send "unsubscribe
> fvwm" in the body of a
> > message to [email-masked].
> > To report problems, send mail to
> [email-masked].
> 
> --
> Dan Espen
> 444 Hoes Lane  Room RRC 1C-214           E-mail:
> [email-masked]
> Piscataway, NJ 08854                     Phone:
> (732) 699-5570

__________________________________________________
Do You Yahoo!?
Yahoo! Shopping - Thousands of Stores. Millions of Products.
http://shopping.yahoo.com/
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].